org.apache.fop.events

## Interface EventListener

- All Superinterfaces:
    java.util.EventListener

      public interface EventListener
      extends java.util.EventListener

  This interface is implemented by clients who want to listen for events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processEvent(Event event)` This method is called for each event that is generated.

- - ### Method Detail

    - #### processEvent

          void processEvent(Event event)

      This method is called for each event that is generated. With the event's ID it is possible to react to certain events. Events can also simply be recorded and presented to a user. It is possible to throw an (unchecked) exception if the processing needs to be aborted because some special event occurred. This way the client can configure the behaviour of the observed application.
      Parameters:
        `event` - the event

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.